/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.io;

import java.io.IOException;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface CharReader {
    
    char readChar() throws IOException;
    
    void readChars(char[] target) throws IOException;
    
    void readChars(char[] target, int offset, int length) throws IOException;
    
    String readString() throws IOException;
    
    String readString(int length) throws IOException;
    
    String readLine() throws IOException;
    
}
